diff --git a/src/store.c b/src/store.c
index c767dffe..b60067b4 100644
--- a/src/store.c
+++ b/src/store.c
@@ -542,7 +542,7 @@ static int pthreads_store_convert(pthreads_storage *storage, zval *pzval TSRMLS_
 							
 						    create.type = original->type;
 						    create.ptr = original->ptr;
-						    create.refcount = original->refcount++;
+						    create.refcount = 1;
 						    created=zend_hash_next_free_element(&EG(regular_list));
 
 						    if (zend_hash_index_update(
